# Manage webhooks

Solidgate API for <a href="https://docs.solidgate.com/payments/integrate/webhooks/" target="_blank">webhook management</a> allows merchants to create, update, list, and delete webhook endpoint configurations. 

## Create webhook endpoint

 - [POST /webhooks/endpoints](https://api-docs.solidgate.com/api/manage-webhooks/webhook-endpoint-create.md): This method allows you to configure a webhook endpoint to receive specified events.


  Two identical URLs cannot be configured for one channel.

## List webhook endpoints

 - [GET /webhooks/endpoints](https://api-docs.solidgate.com/api/manage-webhooks/webhook-endpoint-list.md): This method retrieves a list of your previously created webhook endpoints.

## Update webhook endpoint

 - [PATCH /webhooks/endpoints/{id}](https://api-docs.solidgate.com/api/manage-webhooks/webhook-endpoint-update.md): This method allows you to update an existing webhook endpoint.
For that, you need to provide the endpoint identifier and the new configuration.

## Delete webhook endpoint

 - [DELETE /webhooks/endpoints/{id}](https://api-docs.solidgate.com/api/manage-webhooks/webhook-endpoint-delete.md): This method allows you to delete an existing webhook endpoint.
For that, you need to provide the endpoint identifier you want to delete.

